/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.jbi.management.task.installation.install.sl;

import java.net.URL;

import org.ow2.petals.jbi.management.task.AbstractCreateStateHolderTask;
import org.ow2.petals.system.systemstate.SystemStateService;
import org.ow2.petals.systemstate.SystemStateException;
import org.ow2.petals.util.LoggingUtil;

/**
 * This task creates state holder for shared library
 * 
 * @author ofabre - EBM Websourcing
 * 
 */
public class CreateSLStateHolderTask extends AbstractCreateStateHolderTask {

    public CreateSLStateHolderTask(LoggingUtil log, SystemStateService systemStateService,
            String petalsInstallDirectory) {
        super(log, systemStateService, petalsInstallDirectory);
    }

    @Override
    protected void createEntityStateHolder(String name, String version, URL installUrl,
            String archiveName) throws SystemStateException {
        this.systemStateService.createSharedLibraryStateHolder(name, version, installUrl,
                archiveName);
    }

    @Override
    protected void deleteEntityStateHolder(String name, String version) throws Exception {
        this.systemStateService.deleteSharedLibraryStateHolder(name, version);
    }

}
