/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
package org.ow2.petals.jbi.management.task.installation.uninstall.component;

import org.ow2.petals.container.lifecycle.SharedLibraryLifeCycle;
import org.ow2.petals.jbi.management.Context;
import org.ow2.petals.jbi.management.admin.AdminService;
import org.ow2.petals.jbi.management.task.AbstractLoggableTask;
import org.ow2.petals.util.LoggingUtil;

/**
 * Unregister the component from its Shared Libraries.
 * 
 * @author rnaudin
 * 
 */
public class UnregisterComponentFromSLTask extends AbstractLoggableTask {

    private final AdminService adminService;

    public UnregisterComponentFromSLTask(LoggingUtil log, AdminService adminService) {
        super(log);
        this.adminService = adminService;
    }

    public void execute(Context context) throws Exception {
        String componentName = context.getEntityName();
        for (SharedLibraryLifeCycle saLC : this.adminService.getSharedLibraries().values()) {
            saLC.unregisterComponent(componentName);
        }
    }

    public void undo(Context context) throws Exception {
        // TODO Auto-generated method stub

    }
}
