/**
 * PETALS: PETALS Services Platform Copyright (C) 2009 EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 * 
 * Initial developer(s): EBM WebSourcing
 */
package org.ow2.petals.jbi.messaging.exchange;

import javax.jbi.messaging.MessagingException;

/**
 * The petals delivery channel API
 * 
 * @author chamerling - eBM WebSourcing
 * 
 */
public interface DeliveryChannel extends javax.jbi.messaging.DeliveryChannel {

    /**
     * The intern message exchange property name to mark the exchange as a
     * synchronous invocation.
     */
    public static final String PROPERTY_SENDSYNC = "javax.jbi.messaging.sendSync";

    /**
     * Check is the delivery channel is open
     * 
     * @return
     */
    boolean isOpened();

    /**
     * FIXME : {@link #isOpened()} should be enough...
     * 
     * @throws MessagingException
     */
    void checkDeliveryChannelIsOpened() throws MessagingException;

}
