/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
package org.ow2.petals.system.repository;

import java.io.File;
import java.io.FilenameFilter;

/**
 * @author rnaudin
 * 
 */
public final class RepositoryFileFilter implements FilenameFilter {

    private final String entityId;

    /**
     * Default constructor.
     * 
     * @param entityId
     */
    public RepositoryFileFilter(String entityId) {
        super();
        this.entityId = entityId;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.io.FilenameFilter#accept(java.io.File, java.lang.String)
     */
    public boolean accept(File dir, String name) {

        if (name.startsWith(this.entityId)) {
            final String suffix = name.substring(this.entityId.length());
            if (suffix.matches("-[\\d]{2}-[\\d]{2}-[\\d]{4}-[\\d]{9}")) {
                return true;
            }
        }

        return false;
    }

}
